Name:     ddcopy
Version:  0.1.3
Release:  %mkrel 1

Summary:  ddCopy 
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  GPL
Group:   System/Configuration/Other 
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: hal
Requires: adwaita-icon-theme
Requires: syslinux
Requires: python >= 2.7 
Requires: python-parted
Requires: ntfs-3g
Requires: udisks2
Requires: polkit
Requires: policykit
Requires: pygtk2.0-libglade
Requires: cdrkit
Requires: yad
Obsoletes: %{name} < %{version}

%description
ddCopy GUI writes iso image files to CD/DVD and USB key
* Makes a bootable USB key
* Formats a USB key
* Makes a bootable CD/DVD

%prep
%setup -q

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Configuration;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus

%postun
%clean_menus


%files 
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}cd
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/%{name}
/usr/lib/%{name}
%_datadir/polkit-1/actions/*

%changelog
* Mon Jan 16 2017 adrianomorselli <adrianomorselli> 0.1.3-1uplos2017
- rebuild

* Fri Dec 23 2016 Ken <lxgator at gmail.com> 0.1.3-1pclos2017
- 0.1.3
- Added a gui CD/DVD burning option

* Sat Nov 26 2016 Ken <lxgator at gmail.com> 0.1.2-2pclos2016
- Remove req gnome-icon-theme
- Added req adwaita-icon-theme

* Wed May 05 2016 Ken <lxgator at gmail.com> 0.1.2-1pclos2016
- 0.1.2

* Sun Mar 06 2016 Ken <lxgator at gmail.com> 0.1.1-1pclos2016
- 0.1.1 

* Fri Feb 19 2016 Ken <lxgator at gmail.com> 0.1.0-1pclos2016
- initial build 



